﻿Imports CodeConvert.ConversionLoader
Imports CodeConvert
Imports ICSharpCode.NRefactory
Imports System
Imports System.IO
Imports System.Text
Imports System.Environment
Imports FastColoredTextBoxNS

Public Class frmConverter

    Private Sub buttonClearAllCode_Click(sender As Object, e As System.EventArgs) Handles buttonClearAllCode.Click
        txtCSharp.Text = String.Empty
        txtVBnet.Text = String.Empty
    End Sub

    Private Sub buttonCopyCSharpCode_Click(sender As Object, e As System.EventArgs) Handles buttonCopyCSharpCode.Click
        'copia para o clipboard
        My.Computer.Clipboard.SetText(txtCSharp.Text)
    End Sub

    Private Sub buttonCopyVBCode_Click(sender As Object, e As System.EventArgs) Handles buttonCopyVBCode.Click
        'copia para o clipboard
        My.Computer.Clipboard.SetText(txtVBnet.Text)
    End Sub

    Private Sub buttonConvertCSharpToVB_Click(sender As Object, e As System.EventArgs) Handles buttonConvertCSharpToVB.Click
        'converte para vb .net
        If Not txtCSharp.Text = String.Empty Then
            Me.txtVBnet.Text = ConvertCSharpToVB(txtCSharp.Text)
            txtVBnet.Text &= vbCrLf & vbCrLf & "'Convertido Por: Conversor 2011 !"
        Else
            MsgBox("Informe o código C-Sharp a converter !!!")
        End If
    End Sub

    Private Sub buttonConvertVBtoCSharp_Click(sender As Object, e As System.EventArgs) Handles buttonConvertVBtoCSharp.Click
        'converte para c-sharp
        If Not txtVBnet.Text = String.Empty Then
            Me.txtCSharp.Text = ConvertVBToCSharp(txtVBnet.Text)
            txtCSharp.Text &= vbCrLf & vbCrLf & "//Convertido Por: Conversor 2011 !"
        Else
            MsgBox("Informe o código VB .NET a converter !!!")
        End If
    End Sub

    Private Sub OpenToolStripMenuItem_Click(sender As Object, e As System.EventArgs) Handles OpenToolStripMenuItem.Click
        Dim fName As String
        ofd.Filter = "C-Sharp Files (*.cs)|*.cs|VB Files (*.vb)|*.vb"

        If ofd.ShowDialog = Windows.Forms.DialogResult.OK Then
            fName = ofd.FileName

            If fName.EndsWith(".cs") Then
                txtCSharp.Language = Language.CSharp
                txtCSharp.Text = File.ReadAllText(fName)
                buttonConvertCSharpToVB.Enabled = True
                buttonConvertVBtoCSharp.Enabled = False
                buttonCopyVBCode.Enabled = True
                buttonCopyCSharpCode.Enabled = False
            Else
                txtVBnet.Text = File.ReadAllText(fName)
                txtVBnet.Language = Language.VB
                buttonConvertCSharpToVB.Enabled = False
                buttonConvertVBtoCSharp.Enabled = True
                buttonCopyVBCode.Enabled = False
                buttonCopyCSharpCode.Enabled = True
            End If
        End If
    End Sub

    Private Sub frmConverter_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        txtCSharp.Dispose()
        txtVBnet.Dispose()
    End Sub

    Private Sub frmConverter_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        If Me.WindowState = FormWindowState.Maximized Then
            sc1.SplitterDistance = ((sc1.Width / 2) - (sc1.SplitterWidth / 2))
        Else
            sc1.SplitterDistance = ((sc1.Width / 2) - (sc1.SplitterWidth / 2))
        End If
    End Sub

    Private Sub frmConverter_SizeChanged(sender As Object, e As System.EventArgs) Handles Me.SizeChanged
        If Me.WindowState = FormWindowState.Maximized Then
            txtCSharp.BackgroundImageLayout = ImageLayout.Stretch
            txtVBnet.BackgroundImageLayout = ImageLayout.Stretch
            sc1.Panel1Collapsed = False
            sc1.SplitterDistance = ((sc1.Width / 2) - (sc1.SplitterWidth / 2))
        ElseIf Me.WindowState = FormWindowState.Minimized Then
            sc1.Panel1Collapsed = True
        Else
            txtCSharp.BackgroundImageLayout = ImageLayout.Center
            txtVBnet.BackgroundImageLayout = ImageLayout.Center
            sc1.Panel1Collapsed = False
            sc1.SplitterDistance = ((sc1.Width / 2) - (sc1.SplitterWidth / 2))
        End If
    End Sub

    Private Sub CloseToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles CloseToolStripMenuItem.Click
        Application.Exit()
    End Sub
End Class
